INTERFACE
SUBROUTINE GRG_JNO2_CLOUD(KPROMA,KSTART,KPROF,KFLEV,PPCO3,PT,PSOL,PAL, PCC, PTAUC, PTCTAUC, PJNO2,PRXP)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NPPM
USE GRG_PHOTOLYSIS_MIX
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
REAL(KIND=JPRB) ,INTENT(IN) :: PPCO3(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSOL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PAL(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PCC(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAUC(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTCTAUC(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PJNO2(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRXP(KPROMA,0:KFLEV,NPPM)
INTEGER(KIND=JPIM),PARAMETER :: inbands=7
END SUBROUTINE GRG_JNO2_CLOUD
END INTERFACE
